normalflags.h File Reference

Defines constants and flags for normal surface enumeration. More...

`#include "regina-core.h"`
`#include "utilities/flags.h"`

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Typedefs

typedef regina::Flags< NormalListFlags > | regina::NormalList
| A combination of flags for types of normal surface lists. More...
typedef regina::Flags< NormalAlgFlags > | regina::NormalAlg
| A combination of flags for types of normal surface lists. More...

## Enumerations

enum | regina::NormalListFlags { regina::NS_LIST_DEFAULT = 0x0000, regina::NS_EMBEDDED_ONLY = 0x0001, regina::NS_IMMERSED_SINGULAR = 0x0002, regina::NS_VERTEX = 0x0004, regina::NS_FUNDAMENTAL = 0x0008, regina::NS_LEGACY = 0x4000, regina::NS_CUSTOM = 0x8000 }
| Represents different lists of normal surfaces that might be constructed for a given triangulation. More...

enum

regina::NormalAlgFlags {
regina::NS_ALG_DEFAULT = 0x0000, regina::NS_VERTEX_VIA_REDUCED = 0x0001, regina::NS_VERTEX_STD_DIRECT = 0x0002, regina::NS_VERTEX_TREE = 0x0010,
regina::NS_VERTEX_DD = 0x0020, regina::NS_HILBERT_PRIMAL = 0x0100, regina::NS_HILBERT_DUAL = 0x0200, regina::NS_HILBERT_CD = 0x0400,
regina::NS_HILBERT_FULLCONE = 0x0800, regina::NS_ALG_LEGACY = 0x4000, regina::NS_ALG_CUSTOM = 0x8000
}

| Represents options and variants of algorithms for enumerating various types of normal surfaces. More...

## Functions

NormalList | regina::operator| (NormalListFlags lhs, NormalListFlags rhs)
| Returns the bitwise OR of the two given flags. More...
NormalAlg | regina::operator| (NormalAlgFlags lhs, NormalAlgFlags rhs)
| Returns the bitwise OR of the two given flags. More...

## Detailed Description

Defines constants and flags for normal surface enumeration.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).